Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015789
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2011-01-27 11:082011-05-19 13:15
ReporterxabiermerinoView Statuspublic 
Assigned Toadrianromero 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7f0cf3635e6c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0RC3SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015789: There is no way to back to General Ledger Report

DescriptionWhen we navigate to General Ledger Journal from General Ledger Report, there is no way to back to the General Ledger Report.

The solution could be open the General Ledger Journal in other tab.

There is no way to know where you are. (The name of the tab does not change)
Steps To Reproduce- As F&B US, Inc. Finance & HR go to General Ledger Report
- Launch the inform
- Click in the date of the first entry.
- Realize that it is not possible to go back.
- Realize that it is not possible to know where you are.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00164573.0RC6 closedadrianromero "Create Invoices from orders": Links are not working as expected 
related to design defect 0016650 scheduledmirurita All links that appear in html manual windows must open a new tab 

-  Notes
(0033928)
dalsasua (reporter)
2011-01-27 17:20

In the meanwhile the bug fix arrives, please consider as a workaround that allows you to continue the following steps: click again in the link of General Ledger Report (in the Application or quick launch buttons of the menu, or recent views section of the workspace tab). This will refresh the tab content with the General Ledger Report.
(0034255)
dalsasua (reporter)
2011-02-17 18:44

The fix consists on opening the journal in a new tab, as actually is a different window.
(0035946)
adrianromero (manager)
2011-04-14 15:29

* Testing the issue

Go to General Ledger report
Execute the report
Press on the links of any of the records displayed and verify that a new tab is open with the details of the link.

* Other areas affected.

No other areas affected, only the General ledger report has been modified.
(0036038)
hgbot (developer)
2011-04-20 10:06

Repository: erp/devel/pi
Changeset: 7f0cf3635e6c2f87bccbfb243c838ff6df1afc3b
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Mon Apr 11 17:40:40 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7f0cf3635e6c2f87bccbfb243c838ff6df1afc3b [^]

Fixes issue 0015789: There is no way to back to General Ledger Report
Now, when going to the detail of a general ledger report record it opens a new tab with the selected entry, making it possible the navigation in 3.0

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.html
A src/org/openbravo/erputils/ComputeTranslatedNameActionHandler.java
---
(0036748)
hudsonbot (developer)
2011-05-12 13:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0037220)
xabiermerino (developer)
2011-05-19 13:15

verified

- Issue History
Date Modified Username Field Change
2011-01-27 11:08 xabiermerino New Issue
2011-01-27 11:08 xabiermerino Assigned To => dalsasua
2011-01-27 11:08 xabiermerino Modules => Core
2011-01-27 17:20 dalsasua Note Added: 0033928
2011-01-28 14:36 skengaku Issue Monitored: skengaku
2011-02-17 18:44 dalsasua Note Added: 0034255
2011-03-24 15:02 RenateNieuwkoop Issue Monitored: RenateNieuwkoop
2011-04-05 16:07 adrianromero Relationship added related to 0016650
2011-04-14 15:29 adrianromero Note Added: 0035946
2011-04-15 15:59 dalsasua Assigned To dalsasua => adrianromero
2011-04-20 10:06 hgbot Checkin
2011-04-20 10:06 hgbot Note Added: 0036038
2011-04-20 10:06 hgbot Status new => resolved
2011-04-20 10:06 hgbot Resolution open => fixed
2011-04-20 10:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7f0cf3635e6c2f87bccbfb243c838ff6df1afc3b [^]
2011-04-26 10:59 adrianromero Relationship added related to 0016457
2011-05-12 13:25 hudsonbot Checkin
2011-05-12 13:25 hudsonbot Note Added: 0036748
2011-05-19 13:15 xabiermerino Note Added: 0037220
2011-05-19 13:15 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker